aboutsummaryrefslogtreecommitdiff
path: root/lkft
diff options
context:
space:
mode:
authorYongqin Liu <yongqin.liu@linaro.org>2020-01-01 00:43:18 +0800
committerYongqin Liu <yongqin.liu@linaro.org>2020-01-01 00:43:18 +0800
commit8ce9202926e61faee7c8ca6bfa4c1bfb74fb7690 (patch)
tree83947ea883a78073b6c182c87395e7bf53d83ba9 /lkft
parentaec20f2d07457cc6b521c22c464da68941ef8341 (diff)
lkft android: add condition check for lkftreport calling
only when KERNEL_BRANCH/KERNEL_DESCRIBE/JOB_NAME/BUILD_NUMBER are all set, then it's OK to call the api Change-Id: I7a6f89fc5fe6d9265993d7c4127caa36e4fa09e5 Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
Diffstat (limited to 'lkft')
-rwxr-xr-xlkft/common/builders-v2.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/lkft/common/builders-v2.sh b/lkft/common/builders-v2.sh
index 2f06dd4b..909e1691 100755
--- a/lkft/common/builders-v2.sh
+++ b/lkft/common/builders-v2.sh
@@ -1,7 +1,9 @@
#!/bin/bash -ex
# call api of android.linaro.org for lkft report check scheduling
-curl http://android.linaro.org:9000/lkft/newbuild/${KERNEL_BRANCH}/${KERNEL_DESCRIBE}/${JOB_NAME}/${BUILD_NUMBER} || true
+if [ -n "${KERNEL_BRANCH}" ] && [ -n "${KERNEL_DESCRIBE}" ] && [ -n "${JOB_NAME}" ] && [ -n "${BUILD_NUMBER}"]; then
+ curl http://android.linaro.org:9000/lkft/newbuild/${KERNEL_BRANCH}/${KERNEL_DESCRIBE}/${JOB_NAME}/${BUILD_NUMBER} || true
+fi
git config --global user.email "ci_notify@linaro.org"
git config --global user.name "Linaro CI"